Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface ILineBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint

All Known Implementing Classes:
  LineBreakpoint

public interface ILineBreakpoint
extends IBreakpoint

A breakpoint that can be located at a specific line of source code.

Field Summary

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`int` | `getCharEnd()` Returns ending source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.
`int` | `getCharStart()` Returns starting source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.
`int` | `getLineNumber()` Returns the line number in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getLineNumber

    public int getLineNumber()
                      throws CoreException

  Returns the line number in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

  Returns:
    this breakpoint's line number, or -1 if unknown
  Throws:
    `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.LINE_NUMBER` marker attribute

### getCharStart

    public int getCharStart()
                     throws CoreException

  Returns starting source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

  Returns:
    this breakpoint's char start value, or -1 if unknown
  Throws:
    `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.CHAR_START` marker attribute

### getCharEnd

    public int getCharEnd()
                   throws CoreException

  Returns ending source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

  Returns:
    this breakpoint's char end value, or -1 if unknown
  Throws:
    `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.CHAR_END` marker attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.